Deleted Added
full compact
Makefile.in (271614) Makefile.in (271624)
1# Makefile.in generated by automake 1.14 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# $Id: Makefile.am 690 2013-08-15 13:22:51Z des $
18
19VPATH = @srcdir@
20am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
21am__make_running_with_option = \
22 case $${target_option-} in \
23 ?) ;; \
24 *) echo "am__make_running_with_option: internal error: invalid" \
25 "target option '$${target_option-}' specified" >&2; \
26 exit 1;; \
27 esac; \
28 has_opt=no; \
29 sane_makeflags=$$MAKEFLAGS; \
30 if $(am__is_gnu_make); then \
31 sane_makeflags=$$MFLAGS; \
32 else \
33 case $$MAKEFLAGS in \
34 *\\[\ \ ]*) \
35 bs=\\; \
36 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
37 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
38 esac; \
39 fi; \
40 skip_next=no; \
41 strip_trailopt () \
42 { \
43 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
44 }; \
45 for flg in $$sane_makeflags; do \
46 test $$skip_next = yes && { skip_next=no; continue; }; \
47 case $$flg in \
48 *=*|--*) continue;; \
49 -*I) strip_trailopt 'I'; skip_next=yes;; \
50 -*I?*) strip_trailopt 'I';; \
51 -*O) strip_trailopt 'O'; skip_next=yes;; \
52 -*O?*) strip_trailopt 'O';; \
53 -*l) strip_trailopt 'l'; skip_next=yes;; \
54 -*l?*) strip_trailopt 'l';; \
55 -[dEDm]) skip_next=yes;; \
56 -[JT]) skip_next=yes;; \
57 esac; \
58 case $$flg in \
59 *$$target_option*) has_opt=yes; break;; \
60 esac; \
61 done; \
62 test $$has_opt = yes
63am__make_dryrun = (target_option=n; $(am__make_running_with_option))
64am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
65pkgdatadir = $(datadir)/@PACKAGE@
66pkgincludedir = $(includedir)/@PACKAGE@
67pkglibdir = $(libdir)/@PACKAGE@
68pkglibexecdir = $(libexecdir)/@PACKAGE@
69am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
70install_sh_DATA = $(install_sh) -c -m 644
71install_sh_PROGRAM = $(install_sh) -c
72install_sh_SCRIPT = $(install_sh) -c
73INSTALL_HEADER = $(INSTALL_DATA)
74transform = $(program_transform_name)
75NORMAL_INSTALL = :
76PRE_INSTALL = :
77POST_INSTALL = :
78NORMAL_UNINSTALL = :
79PRE_UNINSTALL = :
80POST_UNINSTALL = :
81build_triplet = @build@
82host_triplet = @host@
83subdir = modules/pam_permit
84DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
85 $(top_srcdir)/depcomp
86ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
1# Makefile.in generated by automake 1.14 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# $Id: Makefile.am 690 2013-08-15 13:22:51Z des $
18
19VPATH = @srcdir@
20am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
21am__make_running_with_option = \
22 case $${target_option-} in \
23 ?) ;; \
24 *) echo "am__make_running_with_option: internal error: invalid" \
25 "target option '$${target_option-}' specified" >&2; \
26 exit 1;; \
27 esac; \
28 has_opt=no; \
29 sane_makeflags=$$MAKEFLAGS; \
30 if $(am__is_gnu_make); then \
31 sane_makeflags=$$MFLAGS; \
32 else \
33 case $$MAKEFLAGS in \
34 *\\[\ \ ]*) \
35 bs=\\; \
36 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
37 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
38 esac; \
39 fi; \
40 skip_next=no; \
41 strip_trailopt () \
42 { \
43 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
44 }; \
45 for flg in $$sane_makeflags; do \
46 test $$skip_next = yes && { skip_next=no; continue; }; \
47 case $$flg in \
48 *=*|--*) continue;; \
49 -*I) strip_trailopt 'I'; skip_next=yes;; \
50 -*I?*) strip_trailopt 'I';; \
51 -*O) strip_trailopt 'O'; skip_next=yes;; \
52 -*O?*) strip_trailopt 'O';; \
53 -*l) strip_trailopt 'l'; skip_next=yes;; \
54 -*l?*) strip_trailopt 'l';; \
55 -[dEDm]) skip_next=yes;; \
56 -[JT]) skip_next=yes;; \
57 esac; \
58 case $$flg in \
59 *$$target_option*) has_opt=yes; break;; \
60 esac; \
61 done; \
62 test $$has_opt = yes
63am__make_dryrun = (target_option=n; $(am__make_running_with_option))
64am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
65pkgdatadir = $(datadir)/@PACKAGE@
66pkgincludedir = $(includedir)/@PACKAGE@
67pkglibdir = $(libdir)/@PACKAGE@
68pkglibexecdir = $(libexecdir)/@PACKAGE@
69am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
70install_sh_DATA = $(install_sh) -c -m 644
71install_sh_PROGRAM = $(install_sh) -c
72install_sh_SCRIPT = $(install_sh) -c
73INSTALL_HEADER = $(INSTALL_DATA)
74transform = $(program_transform_name)
75NORMAL_INSTALL = :
76PRE_INSTALL = :
77POST_INSTALL = :
78NORMAL_UNINSTALL = :
79PRE_UNINSTALL = :
80POST_UNINSTALL = :
81build_triplet = @build@
82host_triplet = @host@
83subdir = modules/pam_permit
84DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
85 $(top_srcdir)/depcomp
86ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
87am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
88 $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
89 $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
90 $(top_srcdir)/configure.ac
87am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92 $(ACLOCAL_M4)
93mkinstalldirs = $(install_sh) -d
94CONFIG_HEADER = $(top_builddir)/config.h
95CONFIG_CLEAN_FILES =
96CONFIG_CLEAN_VPATH_FILES =
97am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
98am__vpath_adj = case $$p in \
99 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
100 *) f=$$p;; \
101 esac;
102am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
103am__install_max = 40
104am__nobase_strip_setup = \
105 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
106am__nobase_strip = \
107 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
108am__nobase_list = $(am__nobase_strip_setup); \
109 for p in $$list; do echo "$$p $$p"; done | \
110 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
111 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
112 if (++n[$$2] == $(am__install_max)) \
113 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
114 END { for (dir in files) print dir, files[dir] }'
115am__base_list = \
116 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
117 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
118am__uninstall_files_from_dir = { \
119 test -z "$$files" \
120 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
121 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
122 $(am__cd) "$$dir" && rm -f $$files; }; \
123 }
124am__installdirs = "$(DESTDIR)$(moduledir)"
125LTLIBRARIES = $(module_LTLIBRARIES)
126pam_permit_la_DEPENDENCIES = $(top_builddir)/lib/libpam/libpam.la
127am_pam_permit_la_OBJECTS = pam_permit.lo
128pam_permit_la_OBJECTS = $(am_pam_permit_la_OBJECTS)
129AM_V_lt = $(am__v_lt_@AM_V@)
130am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
131am__v_lt_0 = --silent
132am__v_lt_1 =
133pam_permit_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
134 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
135 $(pam_permit_la_LDFLAGS) $(LDFLAGS) -o $@
136AM_V_P = $(am__v_P_@AM_V@)
137am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
138am__v_P_0 = false
139am__v_P_1 = :
140AM_V_GEN = $(am__v_GEN_@AM_V@)
141am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
142am__v_GEN_0 = @echo " GEN " $@;
143am__v_GEN_1 =
144AM_V_at = $(am__v_at_@AM_V@)
145am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
146am__v_at_0 = @
147am__v_at_1 =
148DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
149depcomp = $(SHELL) $(top_srcdir)/depcomp
150am__depfiles_maybe = depfiles
151am__mv = mv -f
152COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
153 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
154LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
155 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
156 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
157 $(AM_CFLAGS) $(CFLAGS)
158AM_V_CC = $(am__v_CC_@AM_V@)
159am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
160am__v_CC_0 = @echo " CC " $@;
161am__v_CC_1 =
162CCLD = $(CC)
163LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
164 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
165 $(AM_LDFLAGS) $(LDFLAGS) -o $@
166AM_V_CCLD = $(am__v_CCLD_@AM_V@)
167am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
168am__v_CCLD_0 = @echo " CCLD " $@;
169am__v_CCLD_1 =
170SOURCES = $(pam_permit_la_SOURCES)
171DIST_SOURCES = $(pam_permit_la_SOURCES)
172am__can_run_installinfo = \
173 case $$AM_UPDATE_INFO_DIR in \
174 n|no|NO) false;; \
175 *) (install-info --version) >/dev/null 2>&1;; \
176 esac
177am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
178# Read a list of newline-separated strings from the standard input,
179# and print each of them once, without duplicates. Input order is
180# *not* preserved.
181am__uniquify_input = $(AWK) '\
182 BEGIN { nonempty = 0; } \
183 { items[$$0] = 1; nonempty = 1; } \
184 END { if (nonempty) { for (i in items) print i; }; } \
185'
186# Make sure the list of sources is unique. This is necessary because,
187# e.g., the same source file might be shared among _SOURCES variables
188# for different programs/libraries.
189am__define_uniq_tagged_files = \
190 list='$(am__tagged_files)'; \
191 unique=`for i in $$list; do \
192 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
193 done | $(am__uniquify_input)`
194ETAGS = etags
195CTAGS = ctags
196DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
197ACLOCAL = @ACLOCAL@
198AMTAR = @AMTAR@
199AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
200AR = @AR@
201AUTOCONF = @AUTOCONF@
202AUTOHEADER = @AUTOHEADER@
203AUTOMAKE = @AUTOMAKE@
204AWK = @AWK@
205CC = @CC@
206CCDEPMODE = @CCDEPMODE@
207CFLAGS = @CFLAGS@
208CPP = @CPP@
209CPPFLAGS = @CPPFLAGS@
210CRYPTO_LIBS = @CRYPTO_LIBS@
211CRYPT_LIBS = @CRYPT_LIBS@
212CYGPATH_W = @CYGPATH_W@
213DEFS = @DEFS@
214DEPDIR = @DEPDIR@
215DLLTOOL = @DLLTOOL@
216DL_LIBS = @DL_LIBS@
217DSYMUTIL = @DSYMUTIL@
218DUMPBIN = @DUMPBIN@
219ECHO_C = @ECHO_C@
220ECHO_N = @ECHO_N@
221ECHO_T = @ECHO_T@
222EGREP = @EGREP@
223EXEEXT = @EXEEXT@
224FGREP = @FGREP@
225GREP = @GREP@
226INSTALL = @INSTALL@
227INSTALL_DATA = @INSTALL_DATA@
228INSTALL_PROGRAM = @INSTALL_PROGRAM@
229INSTALL_SCRIPT = @INSTALL_SCRIPT@
230INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
231LD = @LD@
232LDFLAGS = @LDFLAGS@
233LIBOBJS = @LIBOBJS@
234LIBS = @LIBS@
235LIBTOOL = @LIBTOOL@
236LIB_MAJ = @LIB_MAJ@
237LIPO = @LIPO@
238LN_S = @LN_S@
239LTLIBOBJS = @LTLIBOBJS@
240MAKEINFO = @MAKEINFO@
241MANIFEST_TOOL = @MANIFEST_TOOL@
242MKDIR_P = @MKDIR_P@
243NM = @NM@
244NMEDIT = @NMEDIT@
245OBJDUMP = @OBJDUMP@
246OBJEXT = @OBJEXT@
247OPENPAM_MODULES_DIR = @OPENPAM_MODULES_DIR@
248OTOOL = @OTOOL@
249OTOOL64 = @OTOOL64@
250PACKAGE = @PACKAGE@
251PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
252PACKAGE_NAME = @PACKAGE_NAME@
253PACKAGE_STRING = @PACKAGE_STRING@
254PACKAGE_TARNAME = @PACKAGE_TARNAME@
255PACKAGE_URL = @PACKAGE_URL@
256PACKAGE_VERSION = @PACKAGE_VERSION@
257PATH_SEPARATOR = @PATH_SEPARATOR@
258RANLIB = @RANLIB@
259SED = @SED@
260SET_MAKE = @SET_MAKE@
261SHELL = @SHELL@
262STRIP = @STRIP@
263VERSION = @VERSION@
264abs_builddir = @abs_builddir@
265abs_srcdir = @abs_srcdir@
266abs_top_builddir = @abs_top_builddir@
267abs_top_srcdir = @abs_top_srcdir@
268ac_ct_AR = @ac_ct_AR@
269ac_ct_CC = @ac_ct_CC@
270ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
271am__include = @am__include@
272am__leading_dot = @am__leading_dot@
273am__quote = @am__quote@
274am__tar = @am__tar@
275am__untar = @am__untar@
276bindir = @bindir@
277build = @build@
278build_alias = @build_alias@
279build_cpu = @build_cpu@
280build_os = @build_os@
281build_vendor = @build_vendor@
282builddir = @builddir@
283datadir = @datadir@
284datarootdir = @datarootdir@
285docdir = @docdir@
286dvidir = @dvidir@
287exec_prefix = @exec_prefix@
288host = @host@
289host_alias = @host_alias@
290host_cpu = @host_cpu@
291host_os = @host_os@
292host_vendor = @host_vendor@
293htmldir = @htmldir@
294includedir = @includedir@
295infodir = @infodir@
296install_sh = @install_sh@
297libdir = @libdir@
298libexecdir = @libexecdir@
299localedir = @localedir@
300localstatedir = @localstatedir@
301mandir = @mandir@
302mkdir_p = @mkdir_p@
303oldincludedir = @oldincludedir@
304pdfdir = @pdfdir@
305prefix = @prefix@
306program_transform_name = @program_transform_name@
307psdir = @psdir@
308sbindir = @sbindir@
309sharedstatedir = @sharedstatedir@
310srcdir = @srcdir@
311sysconfdir = @sysconfdir@
312target_alias = @target_alias@
313top_build_prefix = @top_build_prefix@
314top_builddir = @top_builddir@
315top_srcdir = @top_srcdir@
316@CUSTOM_MODULES_DIR_FALSE@moduledir = $(libdir)
317@CUSTOM_MODULES_DIR_TRUE@moduledir = @OPENPAM_MODULES_DIR@
318AM_CPPFLAGS = -I$(top_srcdir)/include
319module_LTLIBRARIES = pam_permit.la
320pam_permit_la_SOURCES = pam_permit.c
321pam_permit_la_LDFLAGS = -no-undefined -module -version-info @LIB_MAJ@ \
322 -export-symbols-regex '^pam_sm_'
323
324pam_permit_la_LIBADD = $(top_builddir)/lib/libpam/libpam.la
325all: all-am
326
327.SUFFIXES:
328.SUFFIXES: .c .lo .o .obj
329$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
330 @for dep in $?; do \
331 case '$(am__configure_deps)' in \
332 *$$dep*) \
333 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
334 && { if test -f $@; then exit 0; else break; fi; }; \
335 exit 1;; \
336 esac; \
337 done; \
338 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/pam_permit/Makefile'; \
339 $(am__cd) $(top_srcdir) && \
340 $(AUTOMAKE) --foreign modules/pam_permit/Makefile
341.PRECIOUS: Makefile
342Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
343 @case '$?' in \
344 *config.status*) \
345 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
346 *) \
347 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
348 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
349 esac;
350
351$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
352 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
353
354$(top_srcdir)/configure: $(am__configure_deps)
355 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
356$(ACLOCAL_M4): $(am__aclocal_m4_deps)
357 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
358$(am__aclocal_m4_deps):
359
360install-moduleLTLIBRARIES: $(module_LTLIBRARIES)
361 @$(NORMAL_INSTALL)
362 @list='$(module_LTLIBRARIES)'; test -n "$(moduledir)" || list=; \
363 list2=; for p in $$list; do \
364 if test -f $$p; then \
365 list2="$$list2 $$p"; \
366 else :; fi; \
367 done; \
368 test -z "$$list2" || { \
369 echo " $(MKDIR_P) '$(DESTDIR)$(moduledir)'"; \
370 $(MKDIR_P) "$(DESTDIR)$(moduledir)" || exit 1; \
371 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(moduledir)'"; \
372 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(moduledir)"; \
373 }
374
375uninstall-moduleLTLIBRARIES:
376 @$(NORMAL_UNINSTALL)
377 @list='$(module_LTLIBRARIES)'; test -n "$(moduledir)" || list=; \
378 for p in $$list; do \
379 $(am__strip_dir) \
380 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(moduledir)/$$f'"; \
381 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(moduledir)/$$f"; \
382 done
383
384clean-moduleLTLIBRARIES:
385 -test -z "$(module_LTLIBRARIES)" || rm -f $(module_LTLIBRARIES)
386 @list='$(module_LTLIBRARIES)'; \
387 locs=`for p in $$list; do echo $$p; done | \
388 sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
389 sort -u`; \
390 test -z "$$locs" || { \
391 echo rm -f $${locs}; \
392 rm -f $${locs}; \
393 }
394
395pam_permit.la: $(pam_permit_la_OBJECTS) $(pam_permit_la_DEPENDENCIES) $(EXTRA_pam_permit_la_DEPENDENCIES)
396 $(AM_V_CCLD)$(pam_permit_la_LINK) -rpath $(moduledir) $(pam_permit_la_OBJECTS) $(pam_permit_la_LIBADD) $(LIBS)
397
398mostlyclean-compile:
399 -rm -f *.$(OBJEXT)
400
401distclean-compile:
402 -rm -f *.tab.c
403
404@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pam_permit.Plo@am__quote@
405
406.c.o:
407@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
408@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
409@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
410@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
411@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
412
413.c.obj:
414@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
415@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
416@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
417@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
418@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
419
420.c.lo:
421@am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
422@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
423@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
424@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
425@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
426
427mostlyclean-libtool:
428 -rm -f *.lo
429
430clean-libtool:
431 -rm -rf .libs _libs
432
433ID: $(am__tagged_files)
434 $(am__define_uniq_tagged_files); mkid -fID $$unique
435tags: tags-am
436TAGS: tags
437
438tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
439 set x; \
440 here=`pwd`; \
441 $(am__define_uniq_tagged_files); \
442 shift; \
443 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
444 test -n "$$unique" || unique=$$empty_fix; \
445 if test $$# -gt 0; then \
446 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
447 "$$@" $$unique; \
448 else \
449 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
450 $$unique; \
451 fi; \
452 fi
453ctags: ctags-am
454
455CTAGS: ctags
456ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
457 $(am__define_uniq_tagged_files); \
458 test -z "$(CTAGS_ARGS)$$unique" \
459 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
460 $$unique
461
462GTAGS:
463 here=`$(am__cd) $(top_builddir) && pwd` \
464 && $(am__cd) $(top_srcdir) \
465 && gtags -i $(GTAGS_ARGS) "$$here"
466cscopelist: cscopelist-am
467
468cscopelist-am: $(am__tagged_files)
469 list='$(am__tagged_files)'; \
470 case "$(srcdir)" in \
471 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
472 *) sdir=$(subdir)/$(srcdir) ;; \
473 esac; \
474 for i in $$list; do \
475 if test -f "$$i"; then \
476 echo "$(subdir)/$$i"; \
477 else \
478 echo "$$sdir/$$i"; \
479 fi; \
480 done >> $(top_builddir)/cscope.files
481
482distclean-tags:
483 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
484
485distdir: $(DISTFILES)
486 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
487 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
488 list='$(DISTFILES)'; \
489 dist_files=`for file in $$list; do echo $$file; done | \
490 sed -e "s|^$$srcdirstrip/||;t" \
491 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
492 case $$dist_files in \
493 */*) $(MKDIR_P) `echo "$$dist_files" | \
494 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
495 sort -u` ;; \
496 esac; \
497 for file in $$dist_files; do \
498 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
499 if test -d $$d/$$file; then \
500 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
501 if test -d "$(distdir)/$$file"; then \
502 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
503 fi; \
504 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
505 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
506 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
507 fi; \
508 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
509 else \
510 test -f "$(distdir)/$$file" \
511 || cp -p $$d/$$file "$(distdir)/$$file" \
512 || exit 1; \
513 fi; \
514 done
515check-am: all-am
516check: check-am
517all-am: Makefile $(LTLIBRARIES)
518installdirs:
519 for dir in "$(DESTDIR)$(moduledir)"; do \
520 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
521 done
522install: install-am
523install-exec: install-exec-am
524install-data: install-data-am
525uninstall: uninstall-am
526
527install-am: all-am
528 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
529
530installcheck: installcheck-am
531install-strip:
532 if test -z '$(STRIP)'; then \
533 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
534 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
535 install; \
536 else \
537 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
538 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
539 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
540 fi
541mostlyclean-generic:
542
543clean-generic:
544
545distclean-generic:
546 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
547 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
548
549maintainer-clean-generic:
550 @echo "This command is intended for maintainers to use"
551 @echo "it deletes files that may require special tools to rebuild."
552clean: clean-am
553
554clean-am: clean-generic clean-libtool clean-moduleLTLIBRARIES \
555 mostlyclean-am
556
557distclean: distclean-am
558 -rm -rf ./$(DEPDIR)
559 -rm -f Makefile
560distclean-am: clean-am distclean-compile distclean-generic \
561 distclean-tags
562
563dvi: dvi-am
564
565dvi-am:
566
567html: html-am
568
569html-am:
570
571info: info-am
572
573info-am:
574
575install-data-am: install-moduleLTLIBRARIES
576
577install-dvi: install-dvi-am
578
579install-dvi-am:
580
581install-exec-am:
582
583install-html: install-html-am
584
585install-html-am:
586
587install-info: install-info-am
588
589install-info-am:
590
591install-man:
592
593install-pdf: install-pdf-am
594
595install-pdf-am:
596
597install-ps: install-ps-am
598
599install-ps-am:
600
601installcheck-am:
602
603maintainer-clean: maintainer-clean-am
604 -rm -rf ./$(DEPDIR)
605 -rm -f Makefile
606maintainer-clean-am: distclean-am maintainer-clean-generic
607
608mostlyclean: mostlyclean-am
609
610mostlyclean-am: mostlyclean-compile mostlyclean-generic \
611 mostlyclean-libtool
612
613pdf: pdf-am
614
615pdf-am:
616
617ps: ps-am
618
619ps-am:
620
621uninstall-am: uninstall-moduleLTLIBRARIES
622
623.MAKE: install-am install-strip
624
625.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean clean-generic \
626 clean-libtool clean-moduleLTLIBRARIES cscopelist-am ctags \
627 ctags-am distclean distclean-compile distclean-generic \
628 distclean-libtool distclean-tags distdir dvi dvi-am html \
629 html-am info info-am install install-am install-data \
630 install-data-am install-dvi install-dvi-am install-exec \
631 install-exec-am install-html install-html-am install-info \
632 install-info-am install-man install-moduleLTLIBRARIES \
633 install-pdf install-pdf-am install-ps install-ps-am \
634 install-strip installcheck installcheck-am installdirs \
635 maintainer-clean maintainer-clean-generic mostlyclean \
636 mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
637 pdf pdf-am ps ps-am tags tags-am uninstall uninstall-am \
638 uninstall-moduleLTLIBRARIES
639
640
641# Tell versions [3.59,3.63) of GNU make to not export all variables.
642# Otherwise a system limit (for SysV at least) may be exceeded.
643.NOEXPORT:
88am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
89 $(ACLOCAL_M4)
90mkinstalldirs = $(install_sh) -d
91CONFIG_HEADER = $(top_builddir)/config.h
92CONFIG_CLEAN_FILES =
93CONFIG_CLEAN_VPATH_FILES =
94am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
95am__vpath_adj = case $$p in \
96 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
97 *) f=$$p;; \
98 esac;
99am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
100am__install_max = 40
101am__nobase_strip_setup = \
102 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
103am__nobase_strip = \
104 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
105am__nobase_list = $(am__nobase_strip_setup); \
106 for p in $$list; do echo "$$p $$p"; done | \
107 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
108 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
109 if (++n[$$2] == $(am__install_max)) \
110 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
111 END { for (dir in files) print dir, files[dir] }'
112am__base_list = \
113 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
114 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
115am__uninstall_files_from_dir = { \
116 test -z "$$files" \
117 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
118 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
119 $(am__cd) "$$dir" && rm -f $$files; }; \
120 }
121am__installdirs = "$(DESTDIR)$(moduledir)"
122LTLIBRARIES = $(module_LTLIBRARIES)
123pam_permit_la_DEPENDENCIES = $(top_builddir)/lib/libpam/libpam.la
124am_pam_permit_la_OBJECTS = pam_permit.lo
125pam_permit_la_OBJECTS = $(am_pam_permit_la_OBJECTS)
126AM_V_lt = $(am__v_lt_@AM_V@)
127am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
128am__v_lt_0 = --silent
129am__v_lt_1 =
130pam_permit_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
131 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
132 $(pam_permit_la_LDFLAGS) $(LDFLAGS) -o $@
133AM_V_P = $(am__v_P_@AM_V@)
134am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
135am__v_P_0 = false
136am__v_P_1 = :
137AM_V_GEN = $(am__v_GEN_@AM_V@)
138am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
139am__v_GEN_0 = @echo " GEN " $@;
140am__v_GEN_1 =
141AM_V_at = $(am__v_at_@AM_V@)
142am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
143am__v_at_0 = @
144am__v_at_1 =
145DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
146depcomp = $(SHELL) $(top_srcdir)/depcomp
147am__depfiles_maybe = depfiles
148am__mv = mv -f
149COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
150 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
151LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
152 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
153 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
154 $(AM_CFLAGS) $(CFLAGS)
155AM_V_CC = $(am__v_CC_@AM_V@)
156am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
157am__v_CC_0 = @echo " CC " $@;
158am__v_CC_1 =
159CCLD = $(CC)
160LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
161 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
162 $(AM_LDFLAGS) $(LDFLAGS) -o $@
163AM_V_CCLD = $(am__v_CCLD_@AM_V@)
164am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
165am__v_CCLD_0 = @echo " CCLD " $@;
166am__v_CCLD_1 =
167SOURCES = $(pam_permit_la_SOURCES)
168DIST_SOURCES = $(pam_permit_la_SOURCES)
169am__can_run_installinfo = \
170 case $$AM_UPDATE_INFO_DIR in \
171 n|no|NO) false;; \
172 *) (install-info --version) >/dev/null 2>&1;; \
173 esac
174am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
175# Read a list of newline-separated strings from the standard input,
176# and print each of them once, without duplicates. Input order is
177# *not* preserved.
178am__uniquify_input = $(AWK) '\
179 BEGIN { nonempty = 0; } \
180 { items[$$0] = 1; nonempty = 1; } \
181 END { if (nonempty) { for (i in items) print i; }; } \
182'
183# Make sure the list of sources is unique. This is necessary because,
184# e.g., the same source file might be shared among _SOURCES variables
185# for different programs/libraries.
186am__define_uniq_tagged_files = \
187 list='$(am__tagged_files)'; \
188 unique=`for i in $$list; do \
189 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
190 done | $(am__uniquify_input)`
191ETAGS = etags
192CTAGS = ctags
193DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
194ACLOCAL = @ACLOCAL@
195AMTAR = @AMTAR@
196AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
197AR = @AR@
198AUTOCONF = @AUTOCONF@
199AUTOHEADER = @AUTOHEADER@
200AUTOMAKE = @AUTOMAKE@
201AWK = @AWK@
202CC = @CC@
203CCDEPMODE = @CCDEPMODE@
204CFLAGS = @CFLAGS@
205CPP = @CPP@
206CPPFLAGS = @CPPFLAGS@
207CRYPTO_LIBS = @CRYPTO_LIBS@
208CRYPT_LIBS = @CRYPT_LIBS@
209CYGPATH_W = @CYGPATH_W@
210DEFS = @DEFS@
211DEPDIR = @DEPDIR@
212DLLTOOL = @DLLTOOL@
213DL_LIBS = @DL_LIBS@
214DSYMUTIL = @DSYMUTIL@
215DUMPBIN = @DUMPBIN@
216ECHO_C = @ECHO_C@
217ECHO_N = @ECHO_N@
218ECHO_T = @ECHO_T@
219EGREP = @EGREP@
220EXEEXT = @EXEEXT@
221FGREP = @FGREP@
222GREP = @GREP@
223INSTALL = @INSTALL@
224INSTALL_DATA = @INSTALL_DATA@
225INSTALL_PROGRAM = @INSTALL_PROGRAM@
226INSTALL_SCRIPT = @INSTALL_SCRIPT@
227INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
228LD = @LD@
229LDFLAGS = @LDFLAGS@
230LIBOBJS = @LIBOBJS@
231LIBS = @LIBS@
232LIBTOOL = @LIBTOOL@
233LIB_MAJ = @LIB_MAJ@
234LIPO = @LIPO@
235LN_S = @LN_S@
236LTLIBOBJS = @LTLIBOBJS@
237MAKEINFO = @MAKEINFO@
238MANIFEST_TOOL = @MANIFEST_TOOL@
239MKDIR_P = @MKDIR_P@
240NM = @NM@
241NMEDIT = @NMEDIT@
242OBJDUMP = @OBJDUMP@
243OBJEXT = @OBJEXT@
244OPENPAM_MODULES_DIR = @OPENPAM_MODULES_DIR@
245OTOOL = @OTOOL@
246OTOOL64 = @OTOOL64@
247PACKAGE = @PACKAGE@
248PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
249PACKAGE_NAME = @PACKAGE_NAME@
250PACKAGE_STRING = @PACKAGE_STRING@
251PACKAGE_TARNAME = @PACKAGE_TARNAME@
252PACKAGE_URL = @PACKAGE_URL@
253PACKAGE_VERSION = @PACKAGE_VERSION@
254PATH_SEPARATOR = @PATH_SEPARATOR@
255RANLIB = @RANLIB@
256SED = @SED@
257SET_MAKE = @SET_MAKE@
258SHELL = @SHELL@
259STRIP = @STRIP@
260VERSION = @VERSION@
261abs_builddir = @abs_builddir@
262abs_srcdir = @abs_srcdir@
263abs_top_builddir = @abs_top_builddir@
264abs_top_srcdir = @abs_top_srcdir@
265ac_ct_AR = @ac_ct_AR@
266ac_ct_CC = @ac_ct_CC@
267ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
268am__include = @am__include@
269am__leading_dot = @am__leading_dot@
270am__quote = @am__quote@
271am__tar = @am__tar@
272am__untar = @am__untar@
273bindir = @bindir@
274build = @build@
275build_alias = @build_alias@
276build_cpu = @build_cpu@
277build_os = @build_os@
278build_vendor = @build_vendor@
279builddir = @builddir@
280datadir = @datadir@
281datarootdir = @datarootdir@
282docdir = @docdir@
283dvidir = @dvidir@
284exec_prefix = @exec_prefix@
285host = @host@
286host_alias = @host_alias@
287host_cpu = @host_cpu@
288host_os = @host_os@
289host_vendor = @host_vendor@
290htmldir = @htmldir@
291includedir = @includedir@
292infodir = @infodir@
293install_sh = @install_sh@
294libdir = @libdir@
295libexecdir = @libexecdir@
296localedir = @localedir@
297localstatedir = @localstatedir@
298mandir = @mandir@
299mkdir_p = @mkdir_p@
300oldincludedir = @oldincludedir@
301pdfdir = @pdfdir@
302prefix = @prefix@
303program_transform_name = @program_transform_name@
304psdir = @psdir@
305sbindir = @sbindir@
306sharedstatedir = @sharedstatedir@
307srcdir = @srcdir@
308sysconfdir = @sysconfdir@
309target_alias = @target_alias@
310top_build_prefix = @top_build_prefix@
311top_builddir = @top_builddir@
312top_srcdir = @top_srcdir@
313@CUSTOM_MODULES_DIR_FALSE@moduledir = $(libdir)
314@CUSTOM_MODULES_DIR_TRUE@moduledir = @OPENPAM_MODULES_DIR@
315AM_CPPFLAGS = -I$(top_srcdir)/include
316module_LTLIBRARIES = pam_permit.la
317pam_permit_la_SOURCES = pam_permit.c
318pam_permit_la_LDFLAGS = -no-undefined -module -version-info @LIB_MAJ@ \
319 -export-symbols-regex '^pam_sm_'
320
321pam_permit_la_LIBADD = $(top_builddir)/lib/libpam/libpam.la
322all: all-am
323
324.SUFFIXES:
325.SUFFIXES: .c .lo .o .obj
326$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
327 @for dep in $?; do \
328 case '$(am__configure_deps)' in \
329 *$$dep*) \
330 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
331 && { if test -f $@; then exit 0; else break; fi; }; \
332 exit 1;; \
333 esac; \
334 done; \
335 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/pam_permit/Makefile'; \
336 $(am__cd) $(top_srcdir) && \
337 $(AUTOMAKE) --foreign modules/pam_permit/Makefile
338.PRECIOUS: Makefile
339Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
340 @case '$?' in \
341 *config.status*) \
342 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
343 *) \
344 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
345 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
346 esac;
347
348$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
349 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
350
351$(top_srcdir)/configure: $(am__configure_deps)
352 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
353$(ACLOCAL_M4): $(am__aclocal_m4_deps)
354 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
355$(am__aclocal_m4_deps):
356
357install-moduleLTLIBRARIES: $(module_LTLIBRARIES)
358 @$(NORMAL_INSTALL)
359 @list='$(module_LTLIBRARIES)'; test -n "$(moduledir)" || list=; \
360 list2=; for p in $$list; do \
361 if test -f $$p; then \
362 list2="$$list2 $$p"; \
363 else :; fi; \
364 done; \
365 test -z "$$list2" || { \
366 echo " $(MKDIR_P) '$(DESTDIR)$(moduledir)'"; \
367 $(MKDIR_P) "$(DESTDIR)$(moduledir)" || exit 1; \
368 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(moduledir)'"; \
369 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(moduledir)"; \
370 }
371
372uninstall-moduleLTLIBRARIES:
373 @$(NORMAL_UNINSTALL)
374 @list='$(module_LTLIBRARIES)'; test -n "$(moduledir)" || list=; \
375 for p in $$list; do \
376 $(am__strip_dir) \
377 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(moduledir)/$$f'"; \
378 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(moduledir)/$$f"; \
379 done
380
381clean-moduleLTLIBRARIES:
382 -test -z "$(module_LTLIBRARIES)" || rm -f $(module_LTLIBRARIES)
383 @list='$(module_LTLIBRARIES)'; \
384 locs=`for p in $$list; do echo $$p; done | \
385 sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
386 sort -u`; \
387 test -z "$$locs" || { \
388 echo rm -f $${locs}; \
389 rm -f $${locs}; \
390 }
391
392pam_permit.la: $(pam_permit_la_OBJECTS) $(pam_permit_la_DEPENDENCIES) $(EXTRA_pam_permit_la_DEPENDENCIES)
393 $(AM_V_CCLD)$(pam_permit_la_LINK) -rpath $(moduledir) $(pam_permit_la_OBJECTS) $(pam_permit_la_LIBADD) $(LIBS)
394
395mostlyclean-compile:
396 -rm -f *.$(OBJEXT)
397
398distclean-compile:
399 -rm -f *.tab.c
400
401@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pam_permit.Plo@am__quote@
402
403.c.o:
404@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
405@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
406@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
407@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
408@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
409
410.c.obj:
411@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
412@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
413@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
414@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
415@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
416
417.c.lo:
418@am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
419@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
420@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
421@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
422@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
423
424mostlyclean-libtool:
425 -rm -f *.lo
426
427clean-libtool:
428 -rm -rf .libs _libs
429
430ID: $(am__tagged_files)
431 $(am__define_uniq_tagged_files); mkid -fID $$unique
432tags: tags-am
433TAGS: tags
434
435tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
436 set x; \
437 here=`pwd`; \
438 $(am__define_uniq_tagged_files); \
439 shift; \
440 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
441 test -n "$$unique" || unique=$$empty_fix; \
442 if test $$# -gt 0; then \
443 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
444 "$$@" $$unique; \
445 else \
446 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
447 $$unique; \
448 fi; \
449 fi
450ctags: ctags-am
451
452CTAGS: ctags
453ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
454 $(am__define_uniq_tagged_files); \
455 test -z "$(CTAGS_ARGS)$$unique" \
456 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
457 $$unique
458
459GTAGS:
460 here=`$(am__cd) $(top_builddir) && pwd` \
461 && $(am__cd) $(top_srcdir) \
462 && gtags -i $(GTAGS_ARGS) "$$here"
463cscopelist: cscopelist-am
464
465cscopelist-am: $(am__tagged_files)
466 list='$(am__tagged_files)'; \
467 case "$(srcdir)" in \
468 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
469 *) sdir=$(subdir)/$(srcdir) ;; \
470 esac; \
471 for i in $$list; do \
472 if test -f "$$i"; then \
473 echo "$(subdir)/$$i"; \
474 else \
475 echo "$$sdir/$$i"; \
476 fi; \
477 done >> $(top_builddir)/cscope.files
478
479distclean-tags:
480 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
481
482distdir: $(DISTFILES)
483 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
484 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
485 list='$(DISTFILES)'; \
486 dist_files=`for file in $$list; do echo $$file; done | \
487 sed -e "s|^$$srcdirstrip/||;t" \
488 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
489 case $$dist_files in \
490 */*) $(MKDIR_P) `echo "$$dist_files" | \
491 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
492 sort -u` ;; \
493 esac; \
494 for file in $$dist_files; do \
495 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
496 if test -d $$d/$$file; then \
497 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
498 if test -d "$(distdir)/$$file"; then \
499 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
500 fi; \
501 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
502 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
503 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
504 fi; \
505 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
506 else \
507 test -f "$(distdir)/$$file" \
508 || cp -p $$d/$$file "$(distdir)/$$file" \
509 || exit 1; \
510 fi; \
511 done
512check-am: all-am
513check: check-am
514all-am: Makefile $(LTLIBRARIES)
515installdirs:
516 for dir in "$(DESTDIR)$(moduledir)"; do \
517 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
518 done
519install: install-am
520install-exec: install-exec-am
521install-data: install-data-am
522uninstall: uninstall-am
523
524install-am: all-am
525 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
526
527installcheck: installcheck-am
528install-strip:
529 if test -z '$(STRIP)'; then \
530 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
531 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
532 install; \
533 else \
534 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
535 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
536 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
537 fi
538mostlyclean-generic:
539
540clean-generic:
541
542distclean-generic:
543 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
544 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
545
546maintainer-clean-generic:
547 @echo "This command is intended for maintainers to use"
548 @echo "it deletes files that may require special tools to rebuild."
549clean: clean-am
550
551clean-am: clean-generic clean-libtool clean-moduleLTLIBRARIES \
552 mostlyclean-am
553
554distclean: distclean-am
555 -rm -rf ./$(DEPDIR)
556 -rm -f Makefile
557distclean-am: clean-am distclean-compile distclean-generic \
558 distclean-tags
559
560dvi: dvi-am
561
562dvi-am:
563
564html: html-am
565
566html-am:
567
568info: info-am
569
570info-am:
571
572install-data-am: install-moduleLTLIBRARIES
573
574install-dvi: install-dvi-am
575
576install-dvi-am:
577
578install-exec-am:
579
580install-html: install-html-am
581
582install-html-am:
583
584install-info: install-info-am
585
586install-info-am:
587
588install-man:
589
590install-pdf: install-pdf-am
591
592install-pdf-am:
593
594install-ps: install-ps-am
595
596install-ps-am:
597
598installcheck-am:
599
600maintainer-clean: maintainer-clean-am
601 -rm -rf ./$(DEPDIR)
602 -rm -f Makefile
603maintainer-clean-am: distclean-am maintainer-clean-generic
604
605mostlyclean: mostlyclean-am
606
607mostlyclean-am: mostlyclean-compile mostlyclean-generic \
608 mostlyclean-libtool
609
610pdf: pdf-am
611
612pdf-am:
613
614ps: ps-am
615
616ps-am:
617
618uninstall-am: uninstall-moduleLTLIBRARIES
619
620.MAKE: install-am install-strip
621
622.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean clean-generic \
623 clean-libtool clean-moduleLTLIBRARIES cscopelist-am ctags \
624 ctags-am distclean distclean-compile distclean-generic \
625 distclean-libtool distclean-tags distdir dvi dvi-am html \
626 html-am info info-am install install-am install-data \
627 install-data-am install-dvi install-dvi-am install-exec \
628 install-exec-am install-html install-html-am install-info \
629 install-info-am install-man install-moduleLTLIBRARIES \
630 install-pdf install-pdf-am install-ps install-ps-am \
631 install-strip installcheck installcheck-am installdirs \
632 maintainer-clean maintainer-clean-generic mostlyclean \
633 mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
634 pdf pdf-am ps ps-am tags tags-am uninstall uninstall-am \
635 uninstall-moduleLTLIBRARIES
636
637
638# Tell versions [3.59,3.63) of GNU make to not export all variables.
639# Otherwise a system limit (for SysV at least) may be exceeded.
640.NOEXPORT: